<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=windows-1252">
	<TITLE>Introduction</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Win32)">
	<META NAME="CREATED" CONTENT="0;0">
	<META NAME="CHANGEDBY" CONTENT="Christian Brunette">
	<META NAME="CHANGED" CONTENT="20090226;13505118">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
	-->
	</STYLE>
</HEAD>
<BODY>
<H1 CLASS="western">Introduction</H1>

<P>Fiacre is the pivot metamodel for asynchronous technologies into
the OpenEmbeDD platform. Fiacre aims to offer a unique description of
Real-Time &amp; Embedded systems so other platform tools can
transform once for all their own formalism to Fiacre or from Fiacre
(depending on the nature of those tools).</P>

<P>The current transformation purpose is to extract Fiacre models in
a formalism compatible with the TINA tool box, which is the TINA text
language. It checks the contents of file &lt;infile&gt;.fcr and generates 
a tts description suitable for analysis by the Tina tools (after compilation).</P>
<BR>
<BR>
<P>A tts description is a directory (&lt;outfile&gt;.tts) containing two files:</P>
<UL>
	<LI>&lt;outfile&gt;.net, containing the description of a Priority Time Petri net;</LI>
	<LI>&lt;outfile&gt;.c, containing a description of the data processing synchronized with
	the net, and obeying the API required by Tina.</LI>
</UL>

</BODY>
</HTML>